Home

# Class goog.ui.emoji.EmojiPalette

A page of emoji to be displayed in an EmojiPicker.

extends goog.ui.Palette

Instance Method Summary
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `getEmojiArrayFromProperties_(?Object emojiGroup) ⇒ ?Array` Helps create an array of emoji palette items from an array of emoji properties. Each element will be either a div with background-image set to a sprite, or an img element pointing directly to an emoji, and all elements are wrapped with an outer div for alignment issues (i.e., this allows centering the inner div).
| `getEmojiIndex(string id) ⇒ number` Returns the index of the specified emoji within this palette.
| `getGoomojiIdFromElement_(?Element el) ⇒ ?string` Returns a goomoji id from an img or the containing td, or null if none exists for that element.
| `getImageLoader() ⇒ ?goog.net.ImageLoader` Returns the image loader that this palette uses. Used for testing.
| `getNumberOfEmoji() ⇒ number`
| `getSelectedEmoji() ⇒ ?goog.ui.emoji.Emoji`
| `handleImageLoad_(?goog.events.Event e)` Handles image load events from the ImageLoader.
| `loadAnimatedEmoji()` Sends off requests for all the animated emoji and replaces their static sprites when the images are done downloading.